Bug 136861 - The GIMP does not use GtkFileChooser
Summary: The GIMP does not use GtkFileChooser
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-22 19:04 UTC by Dave Malcolm
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 16:52:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Malcolm 2004-10-22 19:04:03 UTC
User-Agent:       
Build Identifier: 

The GIMP (or our packages, at least) appears to have its own file selection
dialog, rather than the new GtkFileChooser dialog which is used by the rest of
the desktop.

Reproducible: Always
Steps to Reproduce:
1. run the GIMP
2. select File->Open


Actual Results:  
Ugly file selection dialog appears, which is inconsistent with the rest of the
desktop.

Expected Results:  
A GtkFileChooser dialog should appear, for consistency with the rest of the desktop

This also affects File->Save As, and no doubt various other places within the
application.

I'm not sure what the politics of this is WRT to getting this change upstream,
however I feel that our packages should consistently be using the new dialog.

Comment 1 Dave Malcolm 2004-10-22 19:06:02 UTC
This was using: gimp-2.0.5-3

Comment 2 Nils Philippsen 2004-10-25 15:09:21 UTC
There are 26 source files where we'd need to change from
GtkFileSelection to GtkFileChooser API. You obviously know better how
much effort this is -- is it worth it considering that we're way past
freeze for FC3 and we'll get this for free with GIMP 2.2?

Comment 3 Dave Malcolm 2004-10-25 15:34:17 UTC
Fair enough - no, I don't see this happening for FC3.

I just wanted to flag it as an issue; sounds like it will be fixed in
the RHEL5/FC4 timeframe.  Thanks.



Comment 4 Nils Philippsen 2004-11-23 16:52:45 UTC
gimp-2.2-pre uses the new file chooser


Note You need to log in before you can comment on or make changes to this bug.